/* Declare all 3DFC classes and data. Include in your own projects. */



#include "src/defs.h"

#ifdef TRG_DJGPP
#include "src/debug.h"
#include "src/djgpp/keyboard.h"
#endif

#include "src/node.h"
#include "src/list.h"

#include "src/polygon.h"

#include "src/nodelii.h"
#include "src/nodeint.h"
#include "src/nodepol.h"

#include "src/math.h"
#include "src/heap.h"
#include "src/queue.h"
#include "src/map.h"
#include "src/refsys.h"
#include "src/camsys.h"

#include "src/array.h"

#include "src/mem.h"
#include "src/eventtab.h"
#include "src/string.h"
#include "src/socket.h"
#include "src/svsocket.h"
#include "src/texture.h"
#include "src/mesh.h"
#include "src/sector.h"
#include "src/lighttab.h"

#include "src/nodesec.h"

#include "src/object.h"
#include "src/file.h"
#include "src/filerem.h"
#include "src/filepcx.h"
#include "src/filetxe.h"
#include "src/scenery.h"

#include "src/nodetex.h"
#include "src/nodexy.h"
#include "src/nodexyz.h"
#include "src/nodeflo.h"
#include "src/nodeobj.h"
#include "src/nodelgt.h"
#include "src/nodelist.h"

#include "src/neuron.h"
#include "src/bpn.h"
#include "src/nodenet.h"

#ifdef TRG_DJGPP
#include "src/djgpp/gr.h"
#endif

#include "src/screen.h"

#include "src/draw.h"

#include "src/render.h"
#include "src/engine.h"

#include "src/comp/nodecomp.h"
#include "src/comp/cokbcont.h"
#include "src/comp/codata.h"
#include "src/comp/cosecset.h"
#include "src/comp/comesh.h"
#include "src/comp/cocamsys.h"
