/* Test CSocket */



#include "../3dfc.h"



#define SEND_PORT 8189



main ()
{
   // create socket, bind address and alocate the connection queue
   CSocket
      oSock;
   if ( ! oSock.mCreate ( "127.0.0.1", SEND_PORT ) ) {
      // if error
      printf ( "Impossible create socket. Maybe server is down.\n" );
      return 0;
   }

   // show my address
   char
      achIP [ 4 ];
   INT
      nPort;
   oSock.mRetName ( achIP, nPort );
   printf ( "My IP address: %d.%d.%d.%d\n", achIP [ 0 ], achIP [ 1 ], achIP [ 2 ], achIP [ 3 ] );
   printf ( "Port %d.\n", nPort );

   CString
      oStr ( "I want to go!" );
   printf ( "Sending data: '%s'.\n", (char*) oStr );

   // send data to the bound socket
   oSock.mSend ( (CMem&) oStr );

   // wait an answer 60 seconds
   printf ( "Waiting server answer during 60 seconds.\n" );
   INT
      nRetCode;
   if ( oSock.mReceive ( (CMem&) oStr, nRetCode, 60, 0 ) )
      printf ( "The server answer: '%s'\n", (char*) oStr );
   else
      printf ( "No server answer.\n" );
}
