/* Test CServerSocket */



#include "../3dfc.h"



#define MY_PORT 8189



main ()
{
   // create socket, bind address and alocate the connection queue
   CServerSocket
      oSrvSock ( "127.0.0.1", MY_PORT, 5 );

   // show my address
   char
      achIP [ 4 ];
   INT
      nPort;
   oSrvSock.mRetName ( achIP, nPort );
   printf ( "My IP address: %d.%d.%d.%d\n", achIP [ 0 ], achIP [ 1 ], achIP [ 2 ], achIP [ 3 ] );
   printf ( "Port %d.\n", nPort );

   // wait a connection. Stay on this loop forever (else user don't want)
   char
      szAns [ 100 ];   // where user put your answer when asked if continue or not
   do {

      // wait for a connection, wait 2 seconds and then again
      INT
         nClientDescriptor;
      do
         printf ( "Wainting connection on port %d...\n", MY_PORT );
      while ( ! ( nClientDescriptor = oSrvSock.mAccept ( 5, 0 ) ) );
      
      // show the client address
      CSocket
         oClient ( nClientDescriptor );
      oClient.mRetName ( achIP, nPort );
      printf ( "Client IP address: %d.%d.%d.%d\n", achIP [ 0 ], achIP [ 1 ], achIP [ 2 ], achIP [ 3 ] );
      printf ( "Client port %d.\n", nPort );
   
      CString
         oStr ( 100 ); // where store data (max 100 bytes)

      // if connection made, receive data
      // Stay on this loop while the connection is open
      INT
         nRetCode;
      do {

         oSrvSock.mReceive ( oStr, nRetCode, 10 );

         // verify end of connection
         if ( nRetCode == 0 )
            break;
         else
            printf ( "Data received: '%s'.\n", (char*) oStr );

         // send a confirmation message
         CString
            oStr ( "I receive!" );
         oSrvSock.mSend ( (CMem&) oStr );

      } while ( nRetCode != 0 ); // when 0 -> end connection

      printf ( "End connection.\n" );

      // verify if used want end program
      printf ( "Exit program (type 0) or wait more connections (type 1)? " );
      scanf ( "%s", szAns );

   } while ( szAns [ 0 ] == '1' );
}
