/* Declare bpn.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_BPN_H__



// signals file inclusion
#define __3DFC_BPN_H__



class CBPN {

public:

   CBPN ();
   ~CBPN ();

protected:

   // used only in adaptation, list of CNodeFloat
   CList m_oDPrevLayer;   // delta values for neurons in previous layers
   CList m_oSum;          // sum used to define delta for neurons
   float m_fRate;         // weight adaptation rate (between 0 and 1)
   DWORD m_dwMaxNeurons;  // number of neurons in biggest layer

public:

   CList m_oLayers; // network layers, list of neurons (CNodeNeuron)
   CList m_oInputs; // input vectors (can be used as training vectors)
   CList m_oD;      // desired out value for each neuron in each input vector
   CList m_oOutput; // network output (access last layer neurons net)

   void  mDestroy ();
   BOOL  mSave ( CString oszFile );
   BOOL  mLoad ( CString oszFile );
   BOOL  mAppendSave ( CFile& oFile );
   BOOL  mAppendLoad ( CFile& oFile );
   void  mSetRate ( float fRate );
   float mRetRate ();
   BOOL  mAddLayer ( DWORD dwNumNeurons );
   void  mPropagate ( DWORD dwVector );
   BOOL  mAdapt ( DWORD dwVector );
   void  mTrain ( DWORD dwNum );
};



// end declarations
#endif
