/* Declare camsys.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_CAMSYS_H__



// signals file inclusion
#define __3DFC_CAMSYS_H__



class CCameraSystem : public CReferenceSystem {

public:

   CCameraSystem ( BOOL bBuildTrigTables = FALSE );
   ~CCameraSystem ();

public:
   //  projection center distance
   float m_fDistCP;    // distance between the projection center and it's plane
   // the camera pysical data (put in other object class in future)
   float m_fRadius;     // camera radius
   float m_fSpeed;      // move speed

   void mCreate ( BOOL bBuildTrigTables );
   void mDestroy ();
   void mSetObj ( CCameraSystem& oCS );
   void operator = ( CCameraSystem& oCS );
   void mInvertCamera ();
};



// end declarations
#endif
