/* Declare CList node with an general object component */



// verify if has been declared, if no do it
#ifndef __3DFC_NODECOMPONENT_H__



// signals file inclusion
#define __3DFC_NODECOMPONENT_H__



class CNodeComponent : public CNode {

public:

   DWORD    m_dwMyTypeID;    // the component type
   DWORD    m_dwMySlotID;    // the slot where the component is
   CObject* m_poMyObj;       // object where component is

   // default component type
   CNodeComponent ()
   {
      m_dwMyTypeID = TYPE_UNKNOWN;
      m_poMyObj = NULL;
      m_dwMySlotID = SLOT_UNKNOWN;
   }

   // overridable members:

   // init component (called when component is alocated)
   PTRVAL mCreate ( PTRVAL pData1, PTRVAL pData2, PTRVAL pData3 )
   {
      pData1 = pData1;  // just avoid GCC warning
      pData2 = pData2;
      pData3 = pData3;
      return 0;
   }

   // activate the component (do something)
   PTRVAL mActivate ( PTRVAL pData1, PTRVAL pData2, PTRVAL pData3 )
   {
      pData1 = pData1;  // just avoid GCC warning
      pData2 = pData2;
      pData3 = pData3;
      return 0;
   }

   // end component (called when component is desalocated)
   PTRVAL mDestroy ( PTRVAL pData1, PTRVAL pData2, PTRVAL pData3 )
   {
      pData1 = pData1;  // just avoid GCC warning
      pData2 = pData2;
      pData3 = pData3;
      return 0;
   }
}; 


// end declarations
#endif
