/* Declare string.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_STRING_H__



// signals file inclusion
#define __3DFC_STRING_H__



class CString : public CMem {

public:

   CString ();
   CString ( DWORD dwSize );
   CString ( CString& oStr );
   CString ( const char* szStr );
   ~CString ();

protected:

   DWORD m_dwSizeUsed;     // lenght of string (without 0 end)

public:

   // gerenal
   void mSetObj ( CString& oStr );
   void mCreate ( DWORD dwSize );
   void mDestroy ();
   DWORD mRetLength ();

   // search
   BOOL mSplitFromRight ( char chC, CString& oStr );
   BOOL mSplitFromLeft ( char chC, CString& oStr );
   BOOL mTestFromLeft ( char chC );
   
   // replace
   void mReplace ( char chOrig, char chNew );

   // operators
   void operator = ( CString& oStr );
   void operator = ( const char* szStr );
   char* operator + ( CString& oStr );
   char* operator + ( const char* szStr );
   void operator += ( CString& oStr );
   void operator += ( const char* szStr );
   operator char* ();
   char operator [] ( DWORD dwPos );
   BOOL operator == ( CString oStr );
   BOOL operator != ( CString oStr );
};



// end declarations
#endif
