/* Declare texture.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_TEXTURE_H__



// signals file inclusion
#define __3DFC_TEXTURE_H__



class CTexture : public CMem {

public:

   CTexture ();
   CTexture ( CTexture& oTx );
   CTexture ( INT nWidth, INT nHeight, CTexture& oTxSrc );
   ~CTexture ();

public:

   INT m_nWidth;        // X texture dimension
   INT m_nHeight;       // Y texture dimension

   void mDestroy ();
   void mCreate ( INT nWidth, INT nHeight, CTexture& oTxSrc );
   void mSetObj ( CTexture& oTx );
   void operator = ( CTexture& oTx );
   void mScale ( INT nWidth, INT nHeight );
};



// end declarations
#endif
