/* Declare gr.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_GR_H__



// signals file inclusion
#define __3DFC_GR_H__



// video memory size needed for screen
#define VIDEOSIZE 64000
// VIDEOSIZE / 4
#define VIDEOSIZE4 16000

// resolution in graphics mode
#define RESX 320
#define RESY 200



class CGr {

public:

   CGr ();
   CGr ( DWORD dwMode );
   ~CGr ();

public:

   void mSetVideoMode ( DWORD dwMode );
   void mChangeMCGARate ();
   void mSetPalColor ( BYTE yCol, BYTE yR, BYTE yG, BYTE yB );
   void mRetPalColor ( BYTE yCol, BYTE& yR, BYTE& yG, BYTE& yB );
   void mReadPal ( CMem& oMem );
   void mWritePal ( CMem& oMem );
   void mSetPixel ( INT nX, INT nY, BYTE yCol );
   void mSetVideoColor ( BYTE yCol );
   void mWaitRetrace ();
   void mShow ( CMem& oMem );
   void mShow ( INT nOX, INT nOY, INT nWidth, INT nHeight, CMem& oMem );
};



// end declarations
#endif
