/* Declare file.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_FILE_H__



// signals file inclusion
#define __3DFC_FILE_H__



class CFile {

public:

   CFile ();
   CFile ( CString oszFile, CString oszMode );
   ~CFile ();

protected:

   CString m_oszFile;          // path, name and extension of file
   FILE* m_pfFile;             // file access

public:

   // read/write
   BOOL  mRetMem ( DWORD dwMax, void* pvMem );
   BOOL  mRetMem ( DWORD dwMax, CMem& oMem );
   BOOL  mSetMem ( DWORD dwMax, void* pvMem );
   BOOL  mSetMem ( CMem& oMem );
   DWORD mRetDWord ();
   BOOL  mSetDWord ( DWORD wdN, BOOL bSigned = TRUE );
   BOOL  mRetLine ( CString& oszStr, DWORD dwMaxLenght );
   void  mSetLine ( CString oszStr );
   BOOL  mRetStr ( CString& oszStr, BOOL bAbort = FALSE );
   BOOL  mSetStr ( CString oszStr );

   // access
   BOOL  mOpen ( CString oszFile, CString oszMode );
   void  mClose ();
   BOOL  mRetExistFile ( CString oszStr );
   struct FILE* mRetFilePrt ();
   DWORD mRetSize ();
   void mRetNameExt ( CString& oszName, CString& oszExt );

   // position
   void  mPosStart ( DWORD dwOffset = 0 );
   void  mPosOffset ( INT nOffset );
   void  mPosEnd ( INT nOffset = 0 );

   // search
   BOOL  mSearchStr ( CString oszStr );
};



// end declarations
#endif
