/* Declare filetxl.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_FILETXE_H__



// signals file inclusion
#define __3DFC_FILETXE_H__



class CFileTXE : public CFileRem {

public:

   CFileTXE ();
   CFileTXE ( CString oszFile, CScenery& oScenery );
   ~CFileTXE ();

protected:

   CScenery* m_poScen;            // current scenery beeing loaded
   CString m_aoIDs [ NUM_IDS ];   // string for each ID (to user messagens)

   // analisys
   INT mClassifyBlock ( CString oszStr, INT nParentBlock );
   void mDefineIDNames ();

   // read data
   INT mReadBlock ( CString oszFile, INT nParentBlock );
   INT mReadValuesBlock ( CString oszFile, INT nBlock, BYTE yNumDataVals );
   BYTE mReadList ( CList& oL, INT nContents, CString& oszFile );
   BOOL mReadArray ( DWORD dwNumRead, DWORD* padwValues, INT nContents, CString& oszFile );
   BOOL mTestNextToken ( CString oszSpected );
   BOOL mTryReadToken ( CString& oszStr, INT nContents,
                        CString oszMsgError1,
                        CString oszMsgError2,
                        CString oszMsgWanted,
                        CString& oszFile,
                        BOOL bTestTupleSeparator, BOOL bTestCloseBlock );

public:

   BOOL mLoad ( CString oszFile, CScenery& oScenery );
};



// end declarations
#endif
