/* Declare Lighttab.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_LIGHTTAB_H__



// signals file inclusion
#define __3DFC_LIGHTTAB_H__



class CLightTable {

public:

   CLightTable ();
   CLightTable ( CString oszFile );
   CLightTable ( CMem& oPal, DWORD dwNumLevels,
                 float fNormR, float fNormG, float fNormB );
   CLightTable ( CLightTable& oLgT );
   ~CLightTable ();

private:

   void mAlocate ( DWORD dwNumLevels );
   DWORD CLightTable::mSearchClosestColor ( CMem& oPal, DWORD dwRed,
                                         DWORD dwGreen, DWORD dwBlue );

public:

   // the light table
   BYTE* m_payLightTable;      // table
   DWORD m_dwNumLevels;        // number of shade levels

   void mCreate ( CMem& oPal, DWORD dwNumLevels,
                  float fNormR, float fNormG, float fNormB );
   BOOL mCreateLoading ( CString oszFile );
   void mDestroy ();
   void mSetObj ( CLightTable& oLgT );
   void operator = ( CLightTable& oLgT );
   BOOL mSave ( CString oszFile );
};



// end declarations
#endif
