/* Declare map.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_MAP_H__



// signals file inclusion
#define __3DFC_MAP_H__



class CMap {

public:

   CMap ();
   ~CMap ();

protected:

   CList m_oKeys;     // keys for access values (impossible 2 keys equal)
   CList m_oValues;   // values of keys
   DWORD m_dwLastKey; // the key returned in last query (cache node!)
   DWORD m_dwLastPos; // index of last node returned in a query (cache node!)
   DWORD m_dwLessKey; // the less key, used in "indexing" heuristic

public:

   // general functions
   DWORD mRetSize ();
   DWORD mRetKey ( DWORD dwIndex );

   // map functions
   BOOL mAddKey ( DWORD dwKey, CNode* poValue );
   BOOL mRemoveKey ( DWORD dwKey, BOOL dDeleteValue = TRUE );
   void mRemoveAll ();
   CNode* mRetValue ( DWORD dwKey );
   CNode* operator [] ( DWORD dwKey );
};



// end declarations
#endif
