/* Declare CList node with light table data */



// verify if has been declared, if no do it
#ifndef __3DFC_NODELGT_H__



// signals file inclusion
#define __3DFC_NODELGT_H__



class CNodeLightTable : public CNode {

public:

   CLightTable m_oLgT;

   // contructors for CLightTable object side

   CNodeLightTable ()
   {}

   CNodeLightTable ( CLightTable& oLgT )
   {
      m_oLgT.mSetObj ( oLgT );
   }

   CNodeLightTable ( CString oszFile )
   {
      if ( ! m_oLgT.mCreateLoading ( oszFile ) )
         ABORT ( MSG_ERROR_FILE_NOT_FOUND, __FILE__, __LINE__ )
   }

   CNodeLightTable ( CMem& oPal, DWORD dwNumLevels,
                     float fNormR, float fNormG, float fNormB )
   {
      m_oLgT.mCreate ( oPal, dwNumLevels, fNormR, fNormG, fNormB );
   }

   ~CNodeLightTable ()
   {
      m_oLgT.mDestroy ();
   }
};



// end declarations
#endif
