/* Declare polygon.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_POLYGON_H__



// signals file inclusion
#define __3DFC_POLYGON_H__



class CPolygon {

public:

   CPolygon ();
   ~CPolygon ();

public:

   // data

   // description
   DWORD* m_padwVertexes;   // index of vertexes
   DWORD  m_dwNumVertexes;  // number of vertexes
   DWORD  m_dwMaxVertexes;  // maximum number of vertexes (without realocation)

   // surface attributes
   BOOL m_yCrossable;       // flag what collision detection method use
   DWORD m_dwTextureID;     // polygon texture ID
   float m_fLight;          // the polygon light intensity (level)
   DWORD m_dwLightID;       // the polygon light color (light table ID)
   tagPortal m_stPortal;    // portal information

   // polygon plan description (define it with CMath member functions)
   tagfXYZ m_stNormal;      // normal and unitary poly vector
   float m_fD;              // plan origin distance

   void mCreate ( CList& oIndexes, DWORD dwLightID, float fLight );
   void mDestroy ();
   void mSetObj ( CPolygon& oPol );
   void operator = ( CPolygon& oPol );
};



// end declarations
#endif
