/* Declare socket.cc */



// verify if has been declared, if no do it
#ifndef __3DFC_SOCKET_H__



// signals file inclusion
#define __3DFC_SOCKET_H__



class CSocket {

public:

   CSocket ();
   CSocket ( INT nSock );
   CSocket ( CString oszIPAddress, UINT uPort );
   ~CSocket ();

protected:

   INT m_nSocket;    // refer the connection, 0 if close

public:

   BOOL mCreate ();
   BOOL mCreate ( CString oszIPAddress, UINT uPort );
   void mDestroy ();
   INT  mSetObj ( INT nSock );

   INT  mRetSocket ();
   INT  operator = ( INT nSock );

   BOOL mConnect ( CString oszIPAddress, UINT uPort );
   BOOL mSend ( void *pvBuffer, DWORD dwSize );
   BOOL mSend ( CMem& oMem );
   BOOL mReceive ( void *pvBuffer, DWORD dwSize, INT& nCode,
                   DWORD dwWaitSec = 0, DWORD dwWaitUSec = 0 );
   BOOL mReceive ( CMem& oMem, INT& nCode, DWORD dwWaitSec = 0,
                   DWORD dwWaitUSec = 0 );
   BOOL mRetName ( char* pachIP, INT& nPort );
};



// end declarations
#endif
